Subject: [Healeys] Chrome Lucas Sport Coil

From: Linwood Rose <[email-masked]>
Date: Thu, 05 Dec 2013 22:28:39 -0500

Does such a thing exist? I swear I have seen them on cars before, but I cannot
find a source for one.

I have seen the chrome flamethrower coil. It's nose (where the coil wire
connects to coil) isn't quite the same as the Lucas or Intermotor. It is a
larger diameter and the terminal inside the "nose" is recessed farther than
the Lucas or Intermotor. I also think Powerspark makes a chrome body coil that
is claimed to be the Lucas Sport Coil equivalent.

Anyway, just curious.

Lin
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys